#1102 closed Bug (fixed)

WorkspaceManager crashes, when components where moved while the control-key is pressed

Reported by: no-reply@… Owned by:
Priority: Unclassified Milestone: CrypTool 2.1 - Release 2020.1
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 10/2/2020 10:59:20 AM (UTC time).
User message:
1) LMB click on a block to select it.
2) Ctrl+LMB hold and drag the block -> exception

(LMB - left mouse button)
-
Exception:
System.InvalidOperationException: Sequence contains no elements
   at System.Linq.Enumerable.Min(IEnumerable`1 source)
   at WorkspaceManager.View.Visuals.EditorVisual.ComponentPositionDeltaChanged(Object sender, PositionDeltaChangedArgs e)
   at System.EventHandler`1.Invoke(Object sender, TEventArgs e)
   at WorkspaceManager.View.Visuals.ComponentVisual.PositionDragDeltaHandler(Object sender, DragDeltaEventArgs e)
   at System.Windows.RoutedEventArgs.InvokeHandler(Delegate handler, Object target)
   at System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   at System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   at System.Windows.UIElement.RaiseEventImpl(DependencyObject sender, RoutedEventArgs args)
   at System.Windows.Controls.Primitives.Thumb.OnMouseMove(MouseEventArgs e)
   at System.Windows.RoutedEventArgs.InvokeHandler(Delegate handler, Object target)
   at System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   at System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   at System.Windows.UIElement.RaiseEventImpl(DependencyObject sender, RoutedEventArgs args)
   at System.Windows.UIElement.RaiseTrustedEvent(RoutedEventArgs args)
   at System.Windows.Input.InputManager.ProcessStagingArea()
   at System.Windows.Input.InputManager.ProcessInput(InputEventArgs input)
   at System.Windows.Input.InputProviderSite.ReportInput(InputReport inputReport)
   at System.Windows.Interop.HwndMouseInputProvider.ReportInput(IntPtr hwnd, InputMode mode, Int32 timestamp, RawMouseActions actions, Int32 x, Int32 y, Int32 wheel)
   at System.Windows.Interop.HwndMouseInputProvider.FilterMessage(IntPtr hwnd, WindowMessage msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at System.Windows.Interop.HwndSource.InputFilterMessage(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)

-
System infos:
Operating System: Windows 10 Home  (6.3.18363)
Processorname: Intel(R) Core(TM) i5-9300H CPU @ 2.40GHz
Processors: 8
Administrative Rights: False
Current culture: en-US
CrypTool version: 2.1.8853.1
Installation type: NSIS
Build type: Stable
Build time: 5/22/2020 12:09:50 PM
Product name: CrypTool 2.1 (Stable Build 8853.1)
Common language runtime version: 4.0.30319.42000
System time: 12:57 PM
Command line: "C:\Program Files (x86)\CrypTool 2\CrypWin.exe" 


Change History (1)

comment:1 Changed 16 months ago by kopal

Resolution: fixed
Status: newclosed
Summary: Crash report 2020-10-02WorkspaceManager crashes, when components where moved while the control-key is pressed

fixed in #8903

Note: See TracTickets for help on using tickets.